RUN-PARTS(8)

NAME
run-parts - run scripts found in a directory

SYNOPSIS
run-parts [ --list | --test ] <directory>

DESCRIPTION
run-parts is a utility that will run scripts that are found in a directory. For example, it might be useful to create an /etc/cron.daily directory and put scripts in there for daily cron jobs. Then run-parts can be called once a day from root's crontab to run all the scripts found in /etc/cron.daily: 40 4 * * * run-parts /etc/cron.daily run-parts automatically skips files with certain suffixes that are generally associated with backup or extra files. Any file that ends in one of these will be silently ignored: ~ ^ , .bak .new .orig .rpmsave .rpmorig .rpmnew .swp The execution of files can be allowed or denied by creating file jobs.allow or jobs.deny which work similarly to other allow/deny config files. The file must be created in the specified directory. Randomization of jobs can be configured in the /etc/default/run-parts file. To enable randomization of jobs, set the RANDOMIZE parameter to 1 and set the RANDOM parameter to an integer which determines a random seed. Additionally, you may configure the RANDOMTIME parameter (again, by specifying an integer) to provide an additional level of randomization. Jobs are not randomized when the RANDOM and RANDOMTIME parameters are set to 0. Values in these two parameters must be set to 1 or larger to provide a good enough randomization. Randomization of cron jobs can be useful for shared networks, where multiple cron jobs executed at once can cause spikes in traffic, especially during daily jobs. With randomized jobs, the workload is evenly distributed throughout the day.

--list
    print names of all files (not limited to executables), but don't run them. This option can't be used with test option.

--test
    print names of files, which would be run.

EXAMPLE OF CONFIGURATION FILE
RANDOMIZE=1
RANDOM=4
RANDOMTIME=8

AUTHOR
Written for Fedora by Marcela Ma■lá■ová, modified slightly for Slackware by Patrick J. Volkerding <volkerdi@slackware.com>.

SEE ALSO
crond(8), crontab(8).